Verify integration setup

Verifies that an integration is properly configured by testing API credentials and connectivity

POST/v1/apps/{app_id}/integrations/{integration_id}/verify
API
Integrations
Updated
Apr 26, 2026

integrations-api:POST:/v1/apps/{app_id}/integrations/{integration_id}/verify

Verifies that an integration is properly configured by testing API credentials and connectivity

API ownership

  • API family: Integrations API
  • Best for: Integration records, setup verification, app and integration stats, and sync job operations.
  • Do not use from: Direct catalog, media, order, identity, or storefront reads and writes.
  • Guide route: /integrations

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: POST
  • Path: /v1/apps/\{app_id\}/integrations/\{integration_id\}/verify
  • Summary: Verify integration setup
  • Description: Verifies that an integration is properly configured by testing API credentials and connectivity
  • OpenAPI contract: integrations-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters2 parameters
NameInRequiredTypeDescription
app_idpathYesstringApp UUID
integration_idpathYesstringIntegration UUID
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses4 statuses
StatusDescriptionContent
200Verification resultapplication/json
400Invalid request (e.g. bad UUID)application/json (object)
404Integration not foundapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Schema

PropertyTypeRequiredDetails
dataobjectNo-
successbooleanNo-
Verification
PropertyTypeRequiredDetails
overall_successbooleanNo-
stepsobject[]No-
Verification Step
PropertyTypeRequiredDetails
messagestringNo-
namestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "data": {
    "overall_success": false,
    "steps": [
      {
        "message": "string",
        "name": "string",
        "success": false
      }
    ]
  },
  "success": false
}

400 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

404 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

500 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Integrations API
  • Method: POST
  • Path: /v1/apps/\{app_id\}/integrations/\{integration_id\}/verify
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Integrations
  • OpenAPI summary: Verify integration setup

Verify integration setup

# Verify integration setup Verifies that an integration is properly configured by testing API credentials and connectivity
POST /v1/apps/{app_id}/integrations/{integration_id}/verify
Purpose

Verifies that an integration is properly configured by testing API credentials and connectivity

Required inputs

app_id path integration_id path

Primary response

200 ยท Verification result

Operation key

integrations-api:POST:/v1/apps/{app_id}/integrations/{integration_id}/verify

## API ownership - API family: Integrations API - Best for: Integration records, setup verification, app and integration stats, and sync job operations. - Do not use from: Direct catalog, media, order, identity, or storefront reads and writes. - Guide route: [/integrations](/integrations) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `POST` - Path: `/v1/apps/{app_id}/integrations/{integration_id}/verify` - Summary: Verify integration setup - Description: Verifies that an integration is properly configured by testing API credentials and connectivity - OpenAPI contract: integrations-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `integrations-api:POST:/v1/apps/{app_id}/integrations/{integration_id}/verify` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | App UUID | | integration_id | path | Yes | string | Integration UUID | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | Verification result | application/json | | 400 | Invalid request (e.g. bad UUID) | application/json (object) | | 404 | Integration not found | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Schema | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object | No | - | | `success` | boolean | No | - | ##### Verification | Property | Type | Required | Details | | --- | --- | --- | --- | | `overall_success` | boolean | No | - | | `steps` | object[] | No | - | ##### Verification Step | Property | Type | Required | Details | | --- | --- | --- | --- | | `message` | string | No | - | | `name` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "data": { "overall_success": false, "steps": [ { "message": "string", "name": "string", "success": false } ] }, "success": false } ``` ### 400 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ### 404 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ### 500 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Integrations API - Method: `POST` - Path: `/v1/apps/{app_id}/integrations/{integration_id}/verify` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `integrations-api:POST:/v1/apps/{app_id}/integrations/{integration_id}/verify` - OpenAPI tag: Integrations - OpenAPI summary: Verify integration setup